[Ubuntu] Problème de mise à jour des logiciels

a marqué ce sujet comme résolu.
Auteur du sujet

Bonjour,

Lorsque je tente de mettre à jour mes logiciels sur Ubuntu 18.04 avec la commande sudo apt-get update && sudo apt-get upgrade, ce dernier me notifie aucune mise à jour.

Atteint :1 http://fr.archive.ubuntu.com/ubuntu bionic InRelease
Atteint :2 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease                             
Atteint :3 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease                           
Réception de :4 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]                
Atteint :5 https://packages.microsoft.com/repos/vscode stable InRelease                              
88,7 ko réceptionnés en 1s (113 ko/s)                                            
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Sauf que lorsque je veux mettre à jour Firefox sudo apt-get upgrade firefox, cela fonctionne.

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  bzip2 distro-info-data file firefox libasound2 libasound2-data libcanberra0 libdbus-glib-1-2
  libdbusmenu-glib4 libdbusmenu-gtk3-4 libice6 libltdl7 libmagic-mgc libmagic1 libmpdec2 libogg0
  libpython3-stdlib libpython3.6-minimal libpython3.6-stdlib libsm6 libstartup-notification0 libtdb1
  libvorbis0a libvorbisfile3 libx11-xcb1 libxcb-util1 libxt6 lsb-release mime-support python3
  python3-minimal python3.6 python3.6-minimal sound-theme-freedesktop xul-ext-ubufox xz-utils
0 mis à jour, 36 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 54,2 Mo dans les archives.
Après cette opération, 217 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] 

Même son de cloche pour sudo apt-get upgrade code (pour mettre à jour VSCode).

Merci d’avance.

Édité par EtienneR

HTTP/1.1 418 I’m a teapot

+0 -0

Salut,

L’exemple que tu donnes installe Firefox, en témoigne ce que te décrits apt-get : « Les NOUVEAUX paquets suivants seront installés » et « 0 mis à jour, 36 nouvellement installés ».

#JeSuisArius

+0 -0

Ce qui est étrange c’est qu'apt-get t’indique que ce sont des nouveaux paquets, ce qui laisse penser qu’ils ne sont tout simplement pas installés. Au risque de faire preuve d’outrecuidance : les paquets que tu cherches à mettre à jour sont-ils bien installés et si oui, correctement (pas de paquets manquants, etc) ? ^^'

Sinon, que te racontes la commande aptitude upgrade ?

#JeSuisArius

+0 -0
Auteur du sujet

J’obtiens le message d’erreur ci-dessous avec la commande sudo aptitude upgrade.

[ ERR] Écriture de l'information d'état étendu
[ ERR] Construction de la base de données des étiquettes
E: Failed to execute process to save dpkg selections, dpkg or trying to execute it exited with status/errno: 2
E: failed to save selections to dpkg database

Édité par EtienneR

HTTP/1.1 418 I’m a teapot

+0 -0

Plop,

Ok, donc la sélection de dpkg fonctionne bien, mais aptitude renvoie une erreur à son sujet… Étrange.

Tu n’as pas de fichier de préférences qui changerait la priorité des paquets (dans /etc/apt/preferences ou /etc/apt/preferences.d), ni de configuration particulière d'apt (/etc/apt/apt.conf et /etc/apt/apt.conf.d) ?

Sinon, que te raconte la commande apt-cache madison firefox (ou n’importe quel autre paquet non encore mis à jour, disposant d’une mise à jour, mais dont la mise à jour n’est pas proposée) ?

#JeSuisArius

+0 -0
Auteur du sujet

Merci Taurre pour ta réponse.

J’ai effectivement un répertoire /etc/apt/preferences.d qui est vide.

Le répertoire /etc/apt/apt.conf.d contient des fichiers listés ci-desssous.

ll /etc/apt/apt.conf.d
total 72K
-rw-rw-r-- 1 root root   49 nov.  13  2017 00aptitude
-rw-rw-r-- 1 root root   40 nov.  13  2017 00trustcdrom
-rw-r--r-- 1 root root  927 janv. 25 12:51 01autoremove
-r--r--r-- 1 root root 1,1K mai    2 23:15 01autoremove-kernels
-rw-r--r-- 1 root root   42 sept. 24  2017 01-vendor-ubuntu
-rw-r--r-- 1 root root  168 mai    5 15:04 10periodic
-rw-r--r-- 1 root root  108 août  22  2017 15update-stamp
-rw-r--r-- 1 root root   85 août  22  2017 20archive
-rw-r--r-- 1 root root  168 mai    5 15:04 20auto-upgrades
-rw-r--r-- 1 root root  243 déc.  16  2009 20dbus
-rw-r--r-- 1 root root 1,1K sept. 24  2017 20packagekit
-rw-r--r-- 1 root root  114 janv. 29 18:35 20snapd.conf
-rw-r--r-- 1 root root 2,6K avril  4  2018 50appstream
-rw-r--r-- 1 root root  625 mars  16  2018 50command-not-found
-rw-r--r-- 1 root root 3,7K juil. 18  2018 50unattended-upgrades
-rw-r--r-- 1 root root  435 avril  4  2018 60icons
-rw-r--r-- 1 root root  182 juil. 12  2017 70debconf
-rw-r--r-- 1 root root  305 août  22  2017 99update-notifier

Et concernant la dernière commande.

   firefox | 66.0.5+build1-0ubuntu0.18.04.1 | http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
   firefox | 66.0.5+build1-0ubuntu0.18.04.1 | http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
   firefox | 59.0.2+build1-0ubuntu1 | http://fr.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

HTTP/1.1 418 I’m a teapot

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte